Replace Queue Json Schema
curl --request PUT \
--url https://api.duvo.ai/v2/queues/{queue_id}/json-schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schema": {},
"change_summary": "<string>",
"expected_schema_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.duvo.ai/v2/queues/{queue_id}/json-schema"
payload = {
"schema": {},
"change_summary": "<string>",
"expected_schema_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schema: {},
change_summary: '<string>',
expected_schema_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.duvo.ai/v2/queues/{queue_id}/json-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"guarded": true,
"schema": {
"family_id": "<string>",
"family_name": "<string>",
"schema_id": "<string>",
"version": 123,
"schema": {},
"fields": [
{
"path": "<string>",
"types": [
"<string>"
],
"required": true
}
],
"change_summary": "<string>",
"created_at": "<string>",
"frozen": true
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Queues
Replace Queue Json Schema
Replace a queue’s Case schema with a new version. Every declared field is frozen against automated change, so this is the only way one can be edited.
PUT
/
v2
/
queues
/
{queue_id}
/
json-schema
Replace Queue Json Schema
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The queue's unique identifier
Body
application/json
Was this page helpful?